API Reference
Log In
API Reference

Validate remittance accumulated

Allows validation of amounts and accumulated amounts of Local Remittances and Fast Shipping.
Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📖 Example Requests

Below you will find the body of two sample JSON requests:

  • Example 1: Validate Amounts and accumulated of Local Remittances in the Panamá Core.
  • Example 2: Validate Amounts and accumulated of Fast Shipping in the Nicaragua Core.
{
  "debit_account": 000000000000,
  "transaction_amount": 7500.00,
  "identification_number": "0-0000-0000X",
  "cellphone_number": "",
  "transaction_currency": "USD",
  "sender_identification_numer": "0-0000-0000S",
  "source_country": "BLPA"
}
{
  "debit_account": 000000000000,
  "transaction_amount": 7500.00,
  "identification_number": "",
  "cellphone_number": "88888888",
  "transaction_currency": "USD",
  "sender_identification_numer": "0-0000-0000S",
  "source_country": "BLPA"
}

JSON response body fields:

NameDescriptionType
exceeds_accumulated_for_senderIndicates if it exceeds the cumulative for the sender.boolean
message_senderReturns error message in case exceeds_accumulated_for_sender is true.string
exceeds_accumulated_for_beneficiaryIndicates if it exceeds the cumulative for the beneficiary.
message_beneficiaryReturns error message in case exceeds_accumulated_for_beneficiary is true.

📖 Response examples

  1. Validate Amounts and accumulated of Fast Shipping BLNI
    Below you will find four sample JSON responses:
    • Example 1: Beneficiary and Sender, do not exceed the cumulative amount allowed.
    • Example 2: Beneficiary does not exceed cumulative amount and Sender if it exceeds cumulative amount allowed.
    • Example 3: Beneficiary exceeds cumulative amount and Sender does not exceed cumulative amount allowed.
    • Example 4: Beneficiary and Sender both exceed the cumulative amount allowed.
    {
        "exceeds_accumulated_for_sender": false,
        "exceeds_accumulated_for_beneficiary": false
    }
    {
        "exceeds_accumulated_for_sender": true,
        "message_sender": "Gestor excede el monto límite mensual para envío veloz, el disponible de envío para este mes es: 999.99",
        "exceeds_accumulated_for_beneficiary": false
    }
    {
        "exceeds_accumulated_for_sender": false,
        "exceeds_accumulated_for_beneficiary": true,
        "message_beneficiary": "Beneficiario excede el monto límite mensual para envío veloz, el disponible de envío para este mes es: 999.99"
    }
    {
        "exceeds_accumulated_for_sender": true,
        "message_sender": "Gestor excede el monto límite mensual para envío veloz, el disponible de envío para este mes es: 999.99",
        "exceeds_accumulated_for_beneficiary": true,
        "message_beneficiary": "Beneficiario excede el monto límite mensual para envío veloz, el disponible de envío para este mes es: 999.99"
    }

  2. Validate Amounts and accumulated of Local Remittances BLPA
    Below you will find two sample JSON responses:
    • Example 1: Sender does not exceed accumulated limit amount.
    • Example 2: Sender exceeds accumulated limit amount.
    {
        "exceeds_accumulated_for_sender": false
    }
    {
        "exceeds_accumulated_for_sender": true,
        "message_sender": "Gestor excede el monto límite mensual para envío veloz, el disponible de envío para este mes es: 999.99"
    }

Path Params
string
enum
required
Defaults to BLPA

Description: Defines the targert bank code.

Allowed:
Query Params
string
enum
required
Defaults to LocalRemittance

Description: Indicates the type of Transaction for which the accrual will be validated.

Allowed:
Body Params
int64
required
Defaults to 0

Description: Customer's account number.
Size: 16.

double
required
Defaults to 100

Description: Transaction amount.

string
Defaults to 0-0000-0000X

Description: Customer's identification number.
Size: 36.
Remittance type: Local remittance.
Required to: BLPA.

string

Description: Customer's telephone number.
Size: 8.
Remittance type: Fast shipping.
Required to: BLNI.

string
required
Defaults to USD

Description: Transaction currency. Use ISO 4217 alpha-3 codes.
Size: 3.

string
Defaults to 0-0000-0000S

Description: Sender identification number.
Size: 36.
**

string
enum
Defaults to BLPA

Description: Defines the source bank code.

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json